This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 993418 - Rhythmbox runs through songs without playing
Rhythmbox runs through songs without playing
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 17:31 EDT by Steven Stern
Modified: 2015-02-17 11:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:36:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Stern 2013-08-05 17:31:42 EDT
Description of problem:

Periodically, rhythmbox just starts rolling through songs, marking them as played without actually playing them, at a very high rate.  At the time, this was in /var/log/messages. The rhythmbox processes was finally killed with an alt-f4.


ug  5 16:25:24 sds-desk-2 /etc/gdm/Xsession[1754]: (rhythmbox:2073): Gtk-CRITICAL **: gtk_application_inhibit: assertion `application->priv->sm_proxy != NULL' failed
Aug  5 16:25:29 sds-desk-2 abrt: detected unhandled Python exception in 'rhythmbox'
Aug  5 16:25:29 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:29 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:29 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:29 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:30 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:30 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:30 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:30 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:30 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:31 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:31 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:31 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:31 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:31 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:31 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:31 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:32 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:32 sds-desk-2 /etc/gdm/Xsession[1754]: File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 47, in _contents_cb
Aug  5 16:25:32 sds-desk-2 /etc/gdm/Xsession[1754]: (rhythmbox:2073): Gtk-WARNING **: mnemonic "s" wasn't removed for widget (0x1f53a80)
Aug  5 16:25:39 sds-desk-2 /etc/gdm/Xsession[1754]: (rhythmbox:13924): Gtk-WARNING **: Failed to register client: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files
Aug  5 16:25:41 sds-desk-2 /etc/gdm/Xsession[1754]: (rhythmbox:13924): Rhythmbox-WARNING **: Unable to grab media player keys: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SettingsDaemon was not provided by any .service files
Comment 1 Fedora End Of Life 2015-01-09 14:18:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:36:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.